 # Main Makefile for MGPP
# Copyright (C) 1994, 1995 Free Software Foundation, Inc.
 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 
PACKAGE = @PACKAGE@
VERSION = @VERSION@
 
@SET_MAKE@
SHELL = /bin/sh
VPATH = @srcdir@
exec_prefix = @exec_prefix@
prefix = @prefix@
srcdir = @srcdir@
 

CC = @CC@
CXX = @CXX@
CFLAGS = @CFLAGS@ @ARCH_DEP_FLAGS@ -ansi
CXXFLAGS = @CXXFLAGS@ @ARCH_DEP_FLAGS@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@  
TOUCH = echo timestamp >
 
bindir = $(exec_prefix)/bin
infodir = $(prefix)/info
libexecdir = $(exec_prefix)/libexec
 
MDEFINES = 
#CC='$(CC)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' LIBS='$(LIBS)' \
#CXX='$(CXX)' CXXFLAGS='$(CXXFLAGS)' LDFLAGS='$(LDFLAGS)' LIBS='$(LIBS)' \
#prefix='$(prefix)' exec_prefix='$(exec_prefix)' \
#bindir='$(bindir)' libexecdir='$(libexecdir)' \
#infodir='$(infodir)' infodir='$(infodir)' libexecdir='$(libexecdir)'

SUBDIRS = lib text 
JAVADIRS = java/org/greenstone/mgpp 
JNIDIRS = jni

.SUFFIXES:

all install uninstall execinstall execuninstall maninstall manuninstall:
#config.h
	for subdir in $(SUBDIRS) $(JAVADIRS) $(JNIDIRS); do \
	  echo making $@ in $$subdir; \
	  (cd $$subdir && $(MAKE) $(MDEFINES) $@) || exit 1; \
	done

nojava: 
	for subdir in $(SUBDIRS); do \
	  echo making $@ in $$subdir; \
	  (cd $$subdir && $(MAKE) $(MDEFINES) all) || exit 1; \
	done

install-nojava: 
	for subdir in $(SUBDIRS); do \
	  echo making $@ in $$subdir; \
	  (cd $$subdir && $(MAKE) $(MDEFINES) install) || exit 1; \
	done

javaonly:
	for subdir in $(JAVADIRS); do \
	  echo making $@ in $$subdir; \
	  (cd $$subdir && $(MAKE) $(MDEFINES) all) || exit 1; \
	done

install-javaonly:
	for subdir in $(JAVADIRS); do \
	  echo making $@ in $$subdir; \
	  (cd $$subdir && $(MAKE) $(MDEFINES) install) || exit 1; \
	done


mostlyclean: mostlyclean-recursive mostlyclean-local

clean: clean-recursive clean-local

distclean: distclean-recursive distclean-local
	rm config.status

maintainer-clean: maintainer-clean-recursive maintainer-clean-local
	rm config.status

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	for subdir in $(SUBDIRS) $(JAVADIRS) $(JNIDIRS); do \
	  target=`echo $@ | sed 's/-recursive//'`; \
	  echo making $$target in $$subdir; \
	  (cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

mostlyclean-local:

clean-local: mostlyclean-local

distclean-local: clean-local
	rm -f Makefile config.cache config.h config.log stamp-h

maintainer-clean-local: distclean-local
	@echo "This command is intended only for maintainers to use;"
	@echo "rebuilding the deleted files may require special tools."

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

distdir = $(PACKAGE)-$(VERSION)

distname = $(distdir)

DISTFILES = \
INSTALL.mg INSTALL README README.port COPYING MODIFICATIONS about_mg.html \
Makefile.in acconfig.h aclocal.m4 configure.in install-sh mkinstalldirs \
config.guess config.sub \
config.h.in configure stamp-h.in

#-----------------------------------------------------------------

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

